diff -uNr buildroot-2010.08.orig/POST-BUILD buildroot-2010.08/POST-BUILD
--- buildroot-2010.08.orig/POST-BUILD	1970-01-01 01:00:00.000000000 +0100
+++ buildroot-2010.08/POST-BUILD	2010-09-24 15:41:26.000000000 +0200
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# ARG1 is path to buildroot
+if [[ "$1" = "" || "$1" = "/" ]]; then
+   echo ""
+   echo "POST-BUILD: No valid path to the build rootfs given!"
+   echo ""
+   exit 1
+else
+   MYROOTFS="$1"
+fi
+
+echo -e "\\033[1;44m## Running POST-BUILD on $MYROOTFS ##\\033[0;39m"
+
+#rm -fv $MYROOTFS/lost+found
+rm -fv $MYROOTFS/usr/local/lib/rpm/bin/db_*
+rm -fv $MYROOTFS/usr/local/lib/rpm/magic*
+
+rm -rfv $MYROOTFS/usr/local/share
+
+# add private
+sed -i 's/create cdb mpool mp_mmapsize/create cdb private mpool mp_mmapsize/' $MYROOTFS/usr/local/lib/rpm/macros
+
+echo "... done!"
diff -uNr buildroot-2010.08.orig/fs/skeleton/root/.bash_profile buildroot-2010.08/fs/skeleton/root/.bash_profile
--- buildroot-2010.08.orig/fs/skeleton/root/.bash_profile	2010-09-01 00:07:06.000000000 +0200
+++ buildroot-2010.08/fs/skeleton/root/.bash_profile	2010-09-23 13:03:43.000000000 +0200
@@ -5,8 +5,8 @@
 /sbin:\
 /usr/bin:\
 /usr/sbin:\
-/usr/bin/X11:\
-/usr/local/bin
+/usr/local/bin:\
+/usr/local/sbin
 
 umask 022
 
diff -uNr buildroot-2010.08.orig/fs/skeleton/root/.bashrc buildroot-2010.08/fs/skeleton/root/.bashrc
--- buildroot-2010.08.orig/fs/skeleton/root/.bashrc	2010-09-01 00:07:06.000000000 +0200
+++ buildroot-2010.08/fs/skeleton/root/.bashrc	2010-09-23 17:05:50.000000000 +0200
@@ -27,7 +27,7 @@
     export HISTSIZE=1000
     export HISTFILESIZE=1000
     export PAGER='/bin/more '
-    export EDITOR='/bin/vi'
+    export EDITOR='/bin/nano'
     export INPUTRC=/etc/inputrc
     export DMALLOC_OPTIONS=debug=0x34f47d83,inter=100,log=logfile
     export LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.jpg=01;35:*.jpeg=01;35:*.png=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.mpg=01;35:*.mpeg=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:';
@@ -39,10 +39,12 @@
     alias cls='clear'
     alias ll='/bin/ls --color=tty -laFh'
     alias ls='/bin/ls --color=tty -F'
-    alias df='df -h'
+    #alias df='df -h'
     alias indent='indent -bad -bap -bbo -nbc -br -brs -c33 -cd33 -ncdb -ce -ci4 -cli0 -cp33 -cs -d0 -di1 -nfc1 -nfca -hnl -i4 -ip0 -l75 -lp -npcs -npsl -nsc -nsob -nss -ts4 '
     #alias bc='bc -l'
     alias minicom='minicom -c on'
-    alias calc='calc -Cd '
-    alias bc='calc -Cd '
+    #alias calc='calc -Cd '
+    #alias bc='calc -Cd '
+    alias pico='nano'
+    alias setup='/setup'
 fi;
diff -uNr buildroot-2010.08.orig/package/Config.in buildroot-2010.08/package/Config.in
--- buildroot-2010.08.orig/package/Config.in	2010-09-01 00:07:06.000000000 +0200
+++ buildroot-2010.08/package/Config.in	2010-09-20 14:08:24.000000000 +0200
@@ -487,4 +487,9 @@
 endif
 endmenu
 
+menu "Blackhost Packages"
+source "package/rpm4/Config.in"
+source "package/bc/Config.in"
+endmenu
+
 endmenu
diff -uNr buildroot-2010.08.orig/package/bc/Config.in buildroot-2010.08/package/bc/Config.in
--- buildroot-2010.08.orig/package/bc/Config.in	1970-01-01 01:00:00.000000000 +0100
+++ buildroot-2010.08/package/bc/Config.in	2010-09-20 14:00:07.000000000 +0200
@@ -0,0 +1,5 @@
+config BR2_PACKAGE_BC
+        bool "bc"
+        help
+		bc
+
diff -uNr buildroot-2010.08.orig/package/bc/bc.mk buildroot-2010.08/package/bc/bc.mk
--- buildroot-2010.08.orig/package/bc/bc.mk	1970-01-01 01:00:00.000000000 +0100
+++ buildroot-2010.08/package/bc/bc.mk	2010-09-20 14:03:18.000000000 +0200
@@ -0,0 +1,15 @@
+#############################################################
+#
+# bc
+#
+#############################################################
+BC_VERSION = 1.06
+BC_SOURCE = bc-$(BC_VERSION).tar.gz
+BC_SITE = ftp://ftp.gnu.org/pub/gnu/bc/
+
+BC_INSTALL_STAGING = NO
+BC_INSTALL_TARGET = YES
+
+BC_CONF_OPT = 
+
+$(eval $(call AUTOTARGETS,package,bc))
diff -uNr buildroot-2010.08.orig/package/rpm4/Config.in buildroot-2010.08/package/rpm4/Config.in
--- buildroot-2010.08.orig/package/rpm4/Config.in	1970-01-01 01:00:00.000000000 +0100
+++ buildroot-2010.08/package/rpm4/Config.in	2010-09-18 14:42:15.000000000 +0200
@@ -0,0 +1,5 @@
+config BR2_PACKAGE_RPM4
+        bool "rpm4"
+        help
+	  RPM4 we want for the Blackhost Installer
+
diff -uNr buildroot-2010.08.orig/package/rpm4/rpm4.mk buildroot-2010.08/package/rpm4/rpm4.mk
--- buildroot-2010.08.orig/package/rpm4/rpm4.mk	1970-01-01 01:00:00.000000000 +0100
+++ buildroot-2010.08/package/rpm4/rpm4.mk	2010-09-24 15:54:43.000000000 +0200
@@ -0,0 +1,33 @@
+#############################################################
+#
+# rpm4
+#
+#############################################################
+RPM4_VERSION = 4.4.2.3
+RPM4_SOURCE = rpm-$(RPM4_VERSION).tar.gz
+RPM4_SITE = http://rpm.org/releases/rpm-4.4.x/
+
+RPM4_INSTALL_STAGING = NO
+RPM4_INSTALL_TARGET = YES
+
+#define RPM4_CONFIGURE_CMDS
+#	(cd $(@D)/ ; rm -rf config.cache; \
+#	$(TARGET_CONFIGURE_OPTS) 
+#        $(TARGET_CONFIGURE_ARGS) \
+#	./configure $(QUIET) \
+#                --target=$(GNU_TARGET_NAME) \
+#                --host=$(GNU_TARGET_NAME) \
+#                --build=$(GNU_HOST_NAME) \
+#		--disable-gtk-doc --disable-nls --disable-largefile --disable-ipv6 \
+#	)
+#endef
+
+RPM4_DEPENDENCIES = zlib beecrypt
+
+RPM4_CONF_OPT = --disable-build-versionscript --disable-rpath --without-selinux \
+	--without-python --without-perl --with-zlib=$(STAGING_DIR) \
+	--includedir=$(STAGING_DIR)/usr/include --without-lua --prefix=/usr/local --exec-prefix=/usr/local \
+	 --program-transform-name=
+
+
+$(eval $(call AUTOTARGETS,package,rpm4))
